Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Direct_Priority_Mapping Class Reference

A simple implementation of the Priority_Mapping interface. More...

`#include <Direct_Priority_Mapping.h>`

Inheritance diagram for TAO_Direct_Priority_Mapping:

[legend]
Collaboration diagram for TAO_Direct_Priority_Mapping:

[legend]
List of all members.

## Public Methods
| TAO_Direct_Priority_Mapping (long)
| Default constructor.
virtual | ~TAO_Direct_Priority_Mapping (void)
| The destructor.
virtual CORBA::Boolean | to_native (RTCORBA::Priority corba_priority, RTCORBA::NativePriority &native_priority)
virtual CORBA::Boolean | to_CORBA (RTCORBA::NativePriority native_priority, RTCORBA::Priority &corba_priority)

## Detailed Description

A simple implementation of the Priority_Mapping interface.

This implementation uses direct mapping.

## Constructor & Destructor Documentation

TAO_Direct_Priority_Mapping::TAO_Direct_Priority_Mapping | ( | long |  | ) |

| Default constructor.

TAO_Direct_Priority_Mapping::~TAO_Direct_Priority_Mapping | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

CORBA::Boolean TAO_Direct_Priority_Mapping::to_CORBA | ( | RTCORBA::NativePriority | native_priority,
|  | RTCORBA::Priority & | corba_priority
| ) | `[virtual]`

| Implements TAO_Priority_Mapping.

CORBA::Boolean TAO_Direct_Priority_Mapping::to_native | ( | RTCORBA::Priority | corba_priority,
|  | RTCORBA::NativePriority & | native_priority
| ) | `[virtual]`

| Implements TAO_Priority_Mapping.

The documentation for this class was generated from the following files:

- Direct_Priority_Mapping.h
- Direct_Priority_Mapping.cpp